<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

/**
 * Class CreateVzdelavaniePopularitaTable
 */
return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('vzdelavanie_popularnost', function (Blueprint $table) {
            $table->id();

            $table->unsignedBigInteger('pouzivatel_id')->index();

            $table->morphs('popularita');

            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('vzdelavanie_popularnost');
    }
};
